Bug 149116 - emulators/open-vm-tools 253928 resume does not restart dhcp client
emulators/open-vm-tools 253928 resume does not restart dhcp client
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: mbr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 17:00 UTC by Vick Khera
Modified: 2010-11-16 00:01 UTC (History)
0 users

See Also:


Attachments
file.diff (367 bytes, patch)
2010-07-30 17:00 UTC, Vick Khera
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vick Khera 2010-07-30 17:00:16 UTC
	

Running FreeBSD 8.1 as vmware guest with network address assigned by DHCP on
em0 device.  On suspend, the suspend-vm-default script runs /etc/rc.d/netif
stop to shutdown the inteface. this causes dhclient to exit.  on resume the
script runs /etc/rc.d/netif start, which brings up the interface, but does not
start dhclient so no IP address is assigned and the machine is dark to the
network.

Fix: The original VMware resume script just runs /etc/netstart.  This following
patch also does the trick to start dhclient on resume.

How-To-Repeat: 	
assign the interface using DHCP, suspend and resume the VM.
Comment 1 Mark Linimon freebsd_committer 2010-07-30 18:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mbr

Fix synopsis and assign.
Comment 2 khera 2010-09-24 14:34:00 UTC
This still plagues version open-vm-tools-253928_1 which was committed =
last week. See PR ports/148068
Comment 3 dfilter freebsd_committer 2010-11-15 23:57:56 UTC
mbr         2010-11-15 23:57:51 UTC

  FreeBSD ports repository

  Modified files:
    emulators/open-vm-tools Makefile distinfo pkg-plist 
    emulators/open-vm-tools/files patch-guestApp.c 
                                  patch-services-Makefile 
  Log:
  Upgrade to build 313025, release date 2010.10.18
  
  Fix build on HEAD
  Fix dhclient resume
  Fix pkgconfig
  
  PR:             151872, 149116, 150913
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp>
  
  Revision  Changes    Path
  1.43      +4 -5      ports/emulators/open-vm-tools/Makefile
  1.11      +3 -3      ports/emulators/open-vm-tools/distinfo
  1.3       +5 -5      ports/emulators/open-vm-tools/files/patch-guestApp.c
  1.4       +3 -5      ports/emulators/open-vm-tools/files/patch-services-Makefile
  1.26      +9 -5      ports/emulators/open-vm-tools/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 mbr freebsd_committer 2010-11-16 00:01:02 UTC
State Changed
From-To: open->closed

Committed, thanks !